### Type parameters

- #### T

### Hierarchy

- WriteRequest<DeleteRequest<T>, T, DeleteItemInput>
  - DeleteRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- logger
- metadata
- modelClazz
- params

### Methods

- exec
- execFullResponse
- onlyIf
- onlyIfAttribute
- returnConsumedCapacity
- returnItemCollectionMetrics
- returnValues

## Constructors

### constructor

- new DeleteRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string, partitionKey: any, sortKey?: any): DeleteRequest

- Overrides WriteRequest.constructor

  - Defined in dynamo/request/delete/delete.request.ts:12

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### tableName: string

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns DeleteRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:19

### Private logger

logger: Logger

- Defined in dynamo/request/delete/delete.request.ts:12

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:23

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:21

### params

params: DeleteItemInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:20

## Methods

### exec

- exec(): Observable<void>

- Overrides BaseRequest.exec

  - Defined in dynamo/request/delete/delete.request.ts:58

  #### Returns Observable<void>

### execFullResponse

- execFullResponse(): Observable<DeleteItemOutput>

- Overrides BaseRequest.execFullResponse

  - Defined in dynamo/request/delete/delete.request.ts:53

  #### Returns Observable<DeleteItemOutput>

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): DeleteRequest<T>

- Inherited from WriteRequest.onlyIf

  - Defined in dynamo/request/write.request.ts:42

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns DeleteRequest<T>

### onlyIfAttribute

- onlyIfAttribute(attributePath: keyof T): RequestConditionFunction<DeleteRequest<T>>

- Inherited from WriteRequest.onlyIfAttribute

  - Defined in dynamo/request/write.request.ts:35

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns RequestConditionFunction<DeleteRequest<T>>

### returnConsumedCapacity

- returnConsumedCapacity(level: ReturnConsumedCapacity): DeleteRequest<T>

- Inherited from WriteRequest.returnConsumedCapacity

  - Defined in dynamo/request/write.request.ts:25

  #### Parameters

  - ##### level: ReturnConsumedCapacity

  #### Returns DeleteRequest<T>

### returnItemCollectionMetrics

- returnItemCollectionMetrics(returnItemCollectionMetrics: ReturnItemCollectionMetrics): DeleteRequest<T>

- Inherited from WriteRequest.returnItemCollectionMetrics

  - Defined in dynamo/request/write.request.ts:30

  #### Parameters

  - ##### returnItemCollectionMetrics: ReturnItemCollectionMetrics

  #### Returns DeleteRequest<T>

### returnValues

- returnValues(returnValues: "NONE" | "ALL_OLD"): DeleteRequest<T>

- Inherited from WriteRequest.returnValues

  - Defined in dynamo/request/write.request.ts:52

  #### Parameters

  - ##### returnValues: "NONE" | "ALL_OLD"

  #### Returns DeleteRequest<T>

Generated using TypeDoc